Imports System.Diagnostics  

Module ProcessInfo

    Sub Main()
        Dim aProcess As Process

        aProcess = Process.GetCurrentProcess()

        With aProcess
            Console.WriteLine("Base Priority {0}", .BasePriority)
            Console.WriteLine("Handle count {0}",  .HandleCount)
            Console.WriteLine("Process ID (PID) {0}", .Id)
            Console.WriteLine("Machine Name {0}", .MachineName)
            Console.WriteLine("Main Module {0}", .MainModule)
     Console.WriteLine("Main Window Title {0}", .MainWindowTitle)
            Console.WriteLine("Max Working Set {0}", .MaxWorkingSet)
            Console.WriteLine("Min Working Set {0}", 	.MinWorkingSet)
            Console.WriteLine("Modules {0}", .Modules)
            Console.WriteLine("Nonpage System Memory Size {0}", .NonpagedSystemMemorySize)
            Console.WriteLine("Paged Memory Size {0}", .PagedMemorySize)
            Console.WriteLine("Paged System Memory Size {0}", .PagedSystemMemorySize)
            Console.WriteLine("Peak Paged Memory Size {0}", .PeakPagedMemorySize)
            Console.WriteLine("Peak Virtual Memory Size {0}",  .PeakVirtualMemorySize)
            Console.WriteLine("Peak Working Set {0}", .PeakWorkingSet)
            Console.WriteLine("Priority Boost Enabled {0}", .PriorityBoostEnabled)
            Console.WriteLine("Priority Class {0}", .PriorityClass)
            Console.WriteLine("Private Memory Size {0}",.PrivateMemorySize)
            Console.WriteLine("Priviledged Processsor Time {0}", .PrivilegedProcessorTime)
            Console.WriteLine("Name {0}", .ProcessName)
            Console.WriteLine("Processor Affinity {0}", .ProcessorAffinity)
            Console.WriteLine("Start Time {0}", .StartTime)
            Console.WriteLine("Total Processor Time {0}", .TotalProcessorTime)
            Console.WriteLine("User Processor Time {0}", .UserProcessorTime)
            Console.WriteLine("Virtual Memory Size {0}", .VirtualMemorySize)
            Console.WriteLine("Working Set {0}", .WorkingSet)
        End With

        Console.ReadLine() 
    End Sub

End Module
